xquery version "3.1";

declare namespace bdn="http://www.bdn-edition.de/ns/1.0";
declare namespace tei="http://www.tei-c.org/ns/1.0";

(:import module namespace bible-index="http://bdn-edition.de/ns/bible-index" at "bible-index.xqm";:)
import module namespace xml-utils="http://bdn-edition.de/portal/xml-utils" at "xml-utils.xqm";
import module namespace index-creation="http://bdn-edition.de/ns/index-creation" at "index-creation.xqm";
import module namespace ifweb="http://bdn-edition.de/intermediate_format/ifweb" at "/db/apps/interformat/modules/intermediate_format/ifweb.xql";
import module namespace config="https://sade.textgrid.de/ns/config" at "../config.xqm";
import module namespace commons="http://bdn-edition.de/ns/commons" at "commons.xqm";
import module namespace console="http://exist-db.org/xquery/console";
import module namespace whitelist="https://bdn-edition.de/ns/whitelist" at "whitelist.xqm";
import module namespace callgraph="https://sade.textgrid.de/ns/callgraph" at "../callgraph/callgraph.xqm";
import module namespace bdn-odd="http://bdn-edition.de/ns/odd" at "schema.xqm";
import module namespace bdn-utils="http://bdn-edition.de/ns/utils" at "utils.xqm";

(: callgraph:main("/db/apps/sade/modules/bdn", "bdn-graph") :)

(:let $node := <tei:ref type="note" target="#noe_2_2_145_note1" />:)

(:return commons:get-link-url($node):)

(:index-creation:make-all-htmls("griesbach"):)

(:index-creation:main():)

(:bible-index:make-all-files("noesselt"):)

(:whitelist:mark-sv-on-chapter-level("noesselt", "/db/apps/sade/logs/noesselt-log.xml"):)

(:
xml-utils:main("griesbach"),
bdn-odd:main() :)


bdn-utils:check-published("griesbach")

(: xml-utils:make-html-code-view(doc("/db/apps/sade/resources/edition/noesselt/xml/noesselt-1-front.xml"), "noesselt-1-front.xml", "") :)

(:xml-utils:make-if-and-html-from-single("2228v"):)

(:xml-utils:main-single-files():)

(:let $bla := console:log(util:system-time()):)
(:let $xml := xml-utils:make-xml("noesselt", "/db/apps/sade/logs/noesselt-log.xml"):)
(:let $if := ifweb:complete-xml("griesbach", $xml):)
(:let $transform := xml-utils:make-html-critical-view($if, "noesselt-test.html"):)
(:return console:log(util:system-time()):)

(:  let $doc := doc("/db/apps/sade/textgrid/data/223wk.10-if.xml"):)
(:  :)
(:  return xml-utils:make-html-single-view($doc, "223wk.10-if.xml"):)
(:  return ifweb:single-xml($doc, "2228v.11.xml"):)

(:xml-utils:make-id-file():)


(:xml-utils:update-whitelist("griesbach"), xml-utils:make-id-file():)

(:let $whitelist := doc($config:aux || "whitelist.xml"):)
(:return:)
(:    for $node in $whitelist//* return:)
(:        $node:)
